#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hasql
version:              1.4.4.2
visibility:           public
id:                   hasql-1.4.4.2-JabWwgkVZNnB9qsoeQr36j
key:                  hasql-1.4.4.2-JabWwgkVZNnB9qsoeQr36j
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql
synopsis:             An efficient PostgreSQL driver with a flexible mapping API
description:
    Root of the \"hasql\" ecosystem.
    For details and tutorials see
    <https://github.com/nikita-volkov/hasql the readme>.

    The API comes free from all kinds of exceptions. All error-reporting is explicit and is presented using the '\''Either'\'' type.

category:             Hasql, Database, PostgreSQL
abi:                  6e8066da244640e0bf55cb1e0d49231b
exposed:              True
exposed-modules:
    Hasql.Connection Hasql.Decoders Hasql.Encoders Hasql.Session
    Hasql.Statement

hidden-modules:
    Hasql.Private.Prelude Hasql.Private.Errors Hasql.Private.PTI
    Hasql.Private.IO Hasql.Private.Session Hasql.Private.Connection
    Hasql.Private.PreparedStatementRegistry Hasql.Private.Settings
    Hasql.Private.Commands Hasql.Private.Decoders
    Hasql.Private.Decoders.Array Hasql.Private.Decoders.Composite
    Hasql.Private.Decoders.Value Hasql.Private.Decoders.Row
    Hasql.Private.Decoders.Result Hasql.Private.Decoders.Results
    Hasql.Private.Encoders Hasql.Private.Encoders.Array
    Hasql.Private.Encoders.Value Hasql.Private.Encoders.Params

import-dirs:          /usr/lib/ghc-8.10.2/site-local/hasql-1.4.4.2
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hasql-1.4.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hasql-1.4.4.2
hs-libraries:         HShasql-1.4.4.2-JabWwgkVZNnB9qsoeQr36j
depends:
    attoparsec-0.13.2.4-A3iUKuJR7UBHxmP0AEJfvQ base-4.14.1.0
    base-prelude-1.4-HdaTqh6hlYNGbCWV2trBTv bytestring-0.10.10.0
    bytestring-strict-builder-0.4.5.3-JBAYf5LMiWg7lSoHfTxjdp
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    contravariant-extras-0.3.5.2-Ldy95fwviRl4p3iLlHgIiK
    dlist-1.0-K5h5rrn41DeKK54fuuwwfL
    hashable-1.3.0.0-JPCB4MmZaOcIaoM3ucdjgC
    hashtables-1.2.4.1-5SoVVBGWJGK7mOXFUDof3l
    loch-th-0.2.2-I5sC8xMdeHtGFCQGeCmJ41 mtl-2.2.2
    placeholders-0.1-LnT1Ex8VOCYHfdA136T0ei
    postgresql-binary-0.12.3.2-EwgGixJOIqh2ZVtPqo5XjR
    postgresql-libpq-0.9.4.3-7GMLDUbXM30H6jI5ad7aT4
    profunctors-5.6-LP693IjzG7dJjG1JAXGnbW text-1.2.3.2
    text-builder-0.6.6.1-CtuyAxRihz69YukC277E2 transformers-0.5.6.2
    vector-0.12.1.2-DniijS7i95iDT0VwtGN3m0

haddock-interfaces:   /usr/share/doc/haskell-hasql/html/hasql.haddock
haddock-html:         /usr/share/doc/haskell-hasql/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

